Thursday, October 15, 2015

Which GTK+ for MATE 1.12 ?

Master branch of MSB project is now set to follow development releases of MATE (1.11) which will eventually be MATE 1.12. The ROADMAP showed that GTK+3 support is a target for this release (it was postponed during MATE 1.10 cycle, but some distributions such as ARCH Linux have provided GTK+3 builds).

My original plan was to have GTK+3 build for next MATE (1.12) since i'm planning to release MATE 1.12 only for next Slackware (14.2) and Slackware 14.2 should have all the requirement for this new version by the time it is released. At this point, GTK+3 in -current is at 3.16 while upstream have released 3.18. Since -current is a moving target, we don't know which GTK+3 version will be included at the final version.

So i'm asking for your opinion about whether we should build the next MATE spesifically for GTK+3 or keep it like in MATE 1.10 where it was built against GTK+2 libraries.